Bug 640 - Broken dependencies. Can not to install SweetHome3D-3.2-1-rosa.lts2012.0.x86_64
: Broken dependencies. Can not to install SweetHome3D-3.2-1-rosa.lts2012.0.x86_64
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 11:45 MSD by FirstLevel
Modified: 2012-08-16 11:16 MSD (History)
4 users (show)

See Also:
RPM Package: SweetHome3D-3.2-1-rosa.lts2012.0.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-08-13 11:45:59 MSD
Description of problem:
I have tried to install SweetHome3D-3.2-1-rosa.lts2012.0.x86_64 and have got an error
[root@lts-64 ~]# urpmi SweetHome3D
Не удаётся установить запрошенный пакет:
SweetHome3D-3.2-1-rosa.lts2012.0.x86_64 (из-за неудовлетворённости libX11.so.6)
Продолжить установку? (Y/n) n
[root@lts-64 ~]# 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Sergey Zhemoitel 2012-08-13 22:53:52 MSD
Пожалуйста попробуйте нижеприведенный пакет http://abf.rosalinux.ru/downloads/djam_personal/repository/rosa2012lts/x86_64/main/release/SweetHome3D-3.5-4-rosa.lts2012.0.x86_64.rpm
Comment 2 Denis Silakov 2012-08-14 17:02:48 MSD
That package works fine for me, can you build it for the contrib repo?
Comment 3 Sergey Zhemoitel 2012-08-14 17:07:08 MSD
если подскажите как...
Comment 4 Denis Silakov 2012-08-14 17:15:33 MSD
You should belong to the "import" group in ABF to update the package in contrib.

If this is not the case, I can copy your package to contrib by myself:).
Comment 5 Sergey Zhemoitel 2012-08-14 17:20:56 MSD
К сожалению не сильно ориентируюсь в ABF. И не знаю есть ли необходимые права. Если несложно.
Comment 6 Alexander Burmashev 2012-08-14 17:21:18 MSD
you are in import group and have the required access rights
Comment 7 Sergey Zhemoitel 2012-08-14 22:16:42 MSD
осталось последнее... как это сделать?
Comment 8 Denis Silakov 2012-08-14 22:50:06 MSD
Smth like this:

git clone https://abf.rosalinux.ru/import/SweetHome3D.git
git checkout rosa2012lts

<...apply your changes, commit and push...>

Now go to https://abf.rosalinux.ru/import/SweetHome3D, set Current branch/tag to rosa2012lts (you should see your latest changes now) and press New Build (and choose rosa2012lts/contrib as a target).

It is likely that you don't have permissions to publish packages to the contrib repo. If so, then after the build is completed, please provide us with links to corresponding containers (for i586 and x86_64) - somebody with necessary privileges will publish the package.
Comment 9 Sergey Zhemoitel 2012-08-15 11:03:28 MSD
Вроде собрал. Проверьте.
Comment 10 Denis Silakov 2012-08-15 12:28:04 MSD
It seems that you committed changes to the master branch (it's likely that you forgot "git checkout rosa2012lts"?) but rebuilt the package from the rosa2012lts one, so you have built the 3.2 version.

I have rebuilt and package the package from the master branch, should be available on mirrors soon.

But it still would be nice to commit the changes to rosa2012lts branch.
Comment 11 Sergey Zhemoitel 2012-08-16 09:53:36 MSD
Вроде бы разобрался. Отправил на сборку. Но она зависла :(
Comment 12 Denis Silakov 2012-08-16 11:16:12 MSD
Seems to be ABF problem... But in general you have done everything correctly:)